﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace FirefoxWcfTest.Web.Services
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "MyService" in code, svc and config file together.
    public class MyService : IMyService
    {
        [ClientCustomHeadersOperationBehavior]
        public string GetLastCustomHeader()
        {
            string header = ClientCustomHeadersDispatchMessageInspector.LastReceivedHeader?? "No header received.";
            
            // add some random data, because the more data is transferred,
            // the more likely an error/crash occurs
            Random rnd = new Random();

            byte[] junk = new byte[1024];

            for (int i = 0; i < 1024; i++)
            {
                junk[i] = (byte)rnd.Next(65, 91);
            }

            string randomString = System.Text.UTF8Encoding.UTF8.GetString(junk);

            string result = header + Environment.NewLine + randomString;

            return result;
        }
    }
}
